purescript-0.15.15: PureScript Programming Language Compiler

Safe Haskell | None
Language | Haskell2010

Language.PureScript.Sugar.DoNotation

Description

This module implements the desugaring pass which replaces do-notation statements with appropriate calls to bind.

Synopsis

- desugarDoModule :: (MonadSupply m, MonadError MultipleErrors m) => Module -> m Module

# Documentation

desugarDoModule :: (MonadSupply m, MonadError MultipleErrors m) => Module -> m Module #

Replace all `DoNotationBind` and `DoNotationValue` constructors with applications of the bind function in scope, and all `DoNotationLet` constructors with let expressions.